#version 410 core

uniform sampler2D uChannelA;
uniform sampler2D uChannelB;
uniform sampler2D uChannelC;
uniform sampler2D uChannelD;

layout (location=0) out vec4 positiontexture;
layout (location=1) out vec4 colourtexture;
layout (location=2) out vec4 attributetexture;

// attrib: s = speed, .t = life, p, q

in vec2 UV;

void main () {
    positiontexture = vec4(UV.xy,.5,1);
    colourtexture = texture(uChannelA, UV);
    attributetexture = vec4( 1.0 );
}